# react-drag-sizing

\[WIP\] "Drag to resize" (sizing) as React Component.

<img width="359" src="demo.gif">

### Layout

```js
import DragSizing from 'react-drag-sizing'

<div className="chat-top"></div>
<div className="chat-body">
  <div className="chat-left">
    <MessageList />
    <DragSizing border="top"
      handlerOffset={-4}
      onStart={this.handleEditorResizeStart}
      onEnd={this.handleEditorResizeEnd}>
      <Editor />
    </DragSizing>
  </div>
  <div className="chat-right">
    <DragSizing border="left">
      <MemberList />
    </DragSizing>
  </div>
</div>
```

### Hooks

```js
handleEditorResizeStart () {
  this.shouldStickToBottom = true || false
}
handleEditorResizeEnd () {
  if (this.shouldTickToBottom) {
    this.scrollToBottom()
  }
}

<DragResize border="top"
  onStart={this.handleEditorResizeStart}
  onEnd={this.handleEditorResizeEnd}>
  <Editor />
</DragResize>
```

### Props

```js
border: PropTypes.string.isRequired, // left|right|top|bottom
onStart: PropTypes.func,
onEnd: PropTypes.func,
onUpdate: PropTypes.func,
className: PropTypes.string,
style: PropTypes.object,
handlerClassName: PropTypes.string,
handlerStyle: PropTypes.object,
handlerWidth: PropTypes.number,
handlerOffset: PropTypes.number,
```
